from .helpers import *


@default_str_and_repr
class Color:

    def __init__(self, fg_code: int) -> None:
        self.fg = ModeAttribute(fg_code)
        self.bg = ModeAttribute(fg_code + 10)


@default_str_and_repr
class RGBColor:
    
    def __init__(self, red: int, green: int, blue: int):
        self.red = red
        self.green = green
        self.blue = blue
        self.fg = ModeAttribute(code=f'38;2;{red};{green};{blue}')
        self.bg = ModeAttribute(code=f'48;2;{red};{green};{blue}')


DEFAULT_COLOR = Color(39)

BLACK = Color(30)
RED = Color(31)
GREEN = Color(32)
YELLOW = Color(33)
BLUE = Color(34)
MAGENTA = Color(35)
CYAN = Color(36)
WHITE = Color(37)

BBLACK = Color(90)
BRED = Color(91)
BGREEN = Color(92)
BYELLOW = Color(93)
BBLUE = Color(94)
BMAGENTA = Color(95)
BCYAN = Color(96)
BWHITE = Color(97)