def default_str_and_repr(cls):
    def __repr__(self: object) -> str:
        return '%s(%s)' % (type(self).__name__, ', '.join(['%s=%r' % (name, value) for (name, value) in vars(self).items()]))
    cls.__repr__ = __repr__
    cls.__str__ = __repr__
    return cls


@default_str_and_repr
class ModeAttribute:

    def __init__(self, code: int | str) -> None:
        self.code = code
        self.escseq = f'\x1b[{code}m'